package com.ywt.biz.common.constant;

import java.time.LocalDate;

/**
 * 全局常量
 */
public class GlobalConstants {

    private GlobalConstants() {

    }

    /**
     * 默认系统编号
     */
    public static final String DEFAULT_SYSTEM_ID = "0000";

    /**
     * 默认机构编号
     */
    public static final String DEFAULT_ORG_NUMBER = "0001";

    /** 禁用 */
    public static final String DISABLED = "0";

    /** 启用 */
    public static final String ENABLED = "1";


    /**
     * DubboReference 的直连协议
     */
    public static final String DUBBO_REFERENCE_PROTOCOL = "tri";

    /**
     * 中控 nfyy_service 服务的 DubboReference 的直连地址
     */
    public static final String CENTRAL_CONTROL_SERVICE_NFYY_SERVICE_DUBBO_REFERENCE_URL = "grpc://120.77.174.122:6010";
    /**
     *  IM 服务的 DubboReference 的直连地址
     */
    public static final String IM_SERVICE_DUBBO_REFERENCE_URL = "grpc://120.77.174.122:5005";
    /**
     *  营养餐推送服务的 DubboReference 的直连地址
     */
    public static final String NUTRIMEAL_SOCKET_SERVICE_DUBBO_REFERENCE_URL = "grpc://120.77.174.122:8093";
    /**
     *  微信医保服务的 DubboReference 的直连地址
     */
    public static final String WX_INS_PAY_SERVICE_DUBBO_REFERENCE_URL = "grpc://120.77.174.122:6016";
    /**
     *  通用socket服务的 DubboReference 的直连地址
     */
    public static final String COMMON_SOCKET_SERVICE_DUBBO_REFERENCE_URL = "grpc://120.77.174.122:8295";
    /**
     *  通用推送服务的 DubboReference 的直连地址
     */
    public static final String COMMON_PUSH_SERVICE_DUBBO_REFERENCE_URL = "grpc://120.77.174.122:8097";

    /**
     * 中控 sinopharm 服务的 DubboReference 的直连地址
     */
    public static final String CENTRAL_CONTROL_SERVICE_SINOPHARM_SERVICE_DUBBO_REFERENCE_URL = "grpc://120.77.174.122:7010";

    /**
     * taihe-rpc 服务的 DubboReference 的直连地址
     */
    public static final String TAIHE_RPC_SERVICE_DUBBO_REFERENCE_URL = "grpc://120.77.174.122:10321";
    /**
     * CheckPresSrv 服务的 DubboReference 的直连地址
     */
    public static final String CHECK_PRES_SRV_DUBBO_REFERENCE_URL = "grpc://120.77.174.122:6910";
}
