package com.ywt.biz.common.constant;

/**
 * 用于 kafka 的传参参数定义
 * 规则：参数名_方法名_类
 * 规则对应grpc的文件里面的类、方法名、参数名
 */
public class KafkaRecordParamConstants {

    public static final String KEY_INVALIDATECACHE_SYSTEMSERVICE="key";
    public static final String CACHETYPE_INVALIDATECACHE_SYSTEMSERVICE="cacheType";
    public static final String KEYTYPE_INVALIDATECACHE_SYSTEMSERVICE="keyType";
    public static final String VIDEOURL_CONVERTVIDEO2MP4_VIDEOSERVICE="videoUrl";
    public static final String ARTICLEID_CONVERTVIDEO2MP4_VIDEOSERVICE="articleId";
    public static final String LOGID_SENDTEMPLATEMESSAGEASYNC_WECHATMESSAGESERVICE="logId";
    public static final String LOGID_SENDMPTEMPLATEMESSAGEBYLOGID_WECHATMESSAGESERVICE="logId";
    public static final String LOGID_SENDMPSUBSCRIBEMESSAGEBYLOGID_WECHATMESSAGESERVICE="logId";
    public static final String USERID_SYNCMEDCARD_USERSERVICE="userId";
    public static final String ARTICLEID_CONVERTVIDEOCALLBACK_ARTICLESERVICE = "articleId";
    public static final String NEWVIDEOURL_CONVERTVIDEOCALLBACK_ARTICLESERVICE = "newVideoUrl";
    public static final String STATUS_CONVERTVIDEOCALLBACK_ARTICLESERVICE = "status";
    public static final String REMARK_CONVERTVIDEOCALLBACK_ARTICLESERVICE = "remark";
    public static final String VIDEOURL_PUBLISHVIDEOCALLBACK_VIDEOSERVICE = "videoUrl";
    public static final String FILENAME_PUBLISHVIDEOCALLBACK_VIDEOSERVICE = "fileName";

    public static final String GLASSES_REFUND_CALLBACK_BIZ_ID = "bizId";
    public static final String GLASSES_REFUND_CALLBACK_REFUND_STATUS = "refundStatus";
    public static final String GLASSES_REFUND_CALLBACK_REFUND_NO = "refundNo";
    public static final String GLASSES_REFUND_CALLBACK_CUSTOM = "custom";
    public static final String GLASSES_PAYMENT_CALLBACK_BIZ_ID = "bizId";
    public static final String GLASSES_PAYMENT_CALLBACK_PAYMENT_NO = "paymentNo";
    public static final String GLASSES_PAYMENT_CALLBACK_PAYMENT_CHANNEL = "paymentChannel";
    public static final String NUTRIMEAL_PAYMENT_CALLBACK_BIZ_ID = "bizId";
    public static final String NUTRIMEAL_PAYMENT_CALLBACK_PAYMENT_NO = "paymentNo";


}
